package com.njcn.service.weeklyreport;

import com.njcn.pojo.advanced.SagEvent;
import com.njcn.pojo.weeklyreport.AreaPointInfoData;
import com.njcn.pojo.weeklyreport.SagRateData;

import java.util.Date;
import java.util.List;


public interface WeeklyReportDataService {
    List<AreaPointInfoData> getPointData(String userIndex, Date start, Date end);

    List<AreaPointInfoData> getVoltageData(String userIndex, Date start, Date end);

    List<SagEvent> getSagData(String userIndex, Date start, Date end);

    List<SagRateData> getSagReasonData(String userIndex, Date start, Date end);

    List<SagEvent> getSagEvents(String userIndex, Date start, Date end);
}
